####################################################################
# This code aggregates the Loan Performance HARP data into the analytical dataset generated by LPPUB_StatFile.R
# Files are sequentially read in, modified, and then exported to .csv format in your working directory.
# You MUST run LPPUB_StatFile.R before running this code.
# Please be sure this code, along with LPPUB_StatFile_Production_HARP.R and and the output from LPPUB_StatFile.R, is in the same directory as the Loan Performance data.
####################################################################

### Required packages
if (!(require(data.table))) install.packages ("data.table")
if (!(require(dplyr))) install.packages ("dplyr")

### Set up a function to read in the Loan Performance files
load_lppub_file <- function(filename, col_names, col_classes){
  df <- fread(filename, sep = "|", col.names = col_names, colClasses = col_classes)
  return(df)
}

### Define the set of files to read in. PLEASE EDIT TO ACCOMODATE YOUR ANALYSIS AND INCLUDE LATER DATA RELEASES ###						  
starting_file <- 0 #0 starts on 2000Q1
ending_file <- 81 #81 ends on 2020Q2

### Incorporate HARP data into the existing dataset
source('LPPUB_StatFile_Production_HARP.R')